Bug 738461 - [abrt] rpm-4.9.1.1-1.fc15: headerVerify: Process /bin/rpm was killed by signal 11 (SIGSEGV)
Summary: [abrt] rpm-4.9.1.1-1.fc15: headerVerify: Process /bin/rpm was killed by signa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60aae6e003ccc78947ebc3b04c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 21:01 UTC by Yann Droneaud
Modified: 2012-08-06 20:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-06 20:02:51 UTC


Attachments (Terms of Use)
File: backtrace (32.07 KB, text/plain)
2011-09-14 21:01 UTC, Yann Droneaud
no flags Details
Valgrind output (19.65 KB, text/x-log)
2011-09-14 21:48 UTC, Yann Droneaud
no flags Details

Description Yann Droneaud 2011-09-14 21:01:24 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        rpm -qa
component:      rpm
crash_function: headerVerify
executable:     /bin/rpm
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        rpm-4.9.1.1-1.fc15
reason:         Process /bin/rpm was killed by signal 11 (SIGSEGV)
time:           Wed Sep 14 22:27:07 2011
uid:            0
username:       root

backtrace:      Text file, 32841 bytes

build_ids:
:8caa4401e620b8e3313608f13ea6c58d32401a9b
:2ecb2b95be3c86edbdcdff99b54e02e74b8cdec1
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:94c91aa4c134d182f8fa2dcdbb15475c13ac6c28
:443a8fc252ef24e3572505ab2919a3af3c00feb2
:623d818893206b3a37628a4a32faa947d6f4d010
:3a1970a822c63fd0bbb6167012469d50a2e3161f
:376b64dbf3aeb524681da80603aa8644f1899edd
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:01659293406c7708dd5f44f3b90389c58078dc14
:c428c2fe8729079c381a598bde3a6d35a53bd88d
:952686c03f57e9199822e2f501c0cfc2b10223c7
:90fe13fac734263f663981ce4d1691cf926ced25
:a1a077e10ed2f0d98f484cea31d64c473be1dfc0
:0e672911e6ef7e176db2d972a25e791d3666c88a
:e5f626726497a81807681ed0088dbce6d6a1f17b
:9c23cc77b5763600b189289e892983ebb6c172c8
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:fdc09328fea3e060c8a504a8291555b4cd19172a
:143ad8460d7053557f74ce07391fa44b2ac0a464
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:cd77f398c344fb85d62bb939fa1896091055f835
:ddaccb07249c19d72544053590a31401e305a762
:42230286e868321da91095cf5c28794876b53ab8
:e567a4b498aa9dfc484575e666a17925f0944318
:8c891e7ec31cb1629d3f74da75b83426143e3613
:8fb625478bd7a72dd54181bc903a5a2de29b1a89
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

comment:
:I'm facing problems with yum, see bug #738459, which are likely related
:to a RPM DB corruption.
:
:Running 'rpm -qa' as root generate a segmentation fault after printing
:quite a lot of package's names.

dso_list:
:/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.x86_64 (Fedora Project) 1305031436
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc15.x86_64 (Fedora Project) 1305286172
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.5-3.fc15.x86_64 (Fedora Project) 1305031442
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc15.x86_64 (Fedora Project) 1311445183
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/usr/lib64/liblzma.so.5.0.3 xz-libs-5.0.3-1.fc15.x86_64 (Fedora Project) 1314049733
:/lib64/libacl.so.1.1.0 libacl-2.2.49-11.fc15.x86_64 (Fedora Project) 1310461819
:/usr/lib64/libelf-0.152.so elfutils-libelf-0.152-1.fc15.x86_64 (Fedora Project) 1305031485
:/lib64/libnspr4.so nspr-4.8.8-4.fc15.x86_64 (Fedora Project) 1311444938
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/usr/lib64/libnss3.so nss-3.12.10-6.fc15.x86_64 (Fedora Project) 1315392403
:/lib64/libgcc_s-4.6.1-20110824.so.1 libgcc-4.6.1-8.fc15.x86_64 (Fedora Project) 1315392395
:/lib64/libplc4.so nspr-4.8.8-4.fc15.x86_64 (Fedora Project) 1311444938
:/lib64/libplds4.so nspr-4.8.8-4.fc15.x86_64 (Fedora Project) 1311444938
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/usr/lib64/liblua-5.1.so lua-5.1.4-8.fc15.x86_64 (Fedora Project) 1305031447
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/usr/lib64/librpmio.so.2.0.1 rpm-libs-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/lib64/libpopt.so.0.0.0 popt-1.13-8.fc15.x86_64 (Fedora Project) 1305031438
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314049695
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305031449
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1305031439
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305031432
:/bin/rpm rpm-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1314049720
:/lib64/libattr.so.1.1.0 libattr-2.4.44-7.fc15.x86_64 (Fedora Project) 1305031493
:/usr/lib64/libsoftokn3.so nss-softokn-3.12.10-4.fc15.x86_64 (Fedora Project) 1311445183
:/var/lib/rpm/__db.004 rpm-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/usr/lib64/librpm.so.2.0.1 rpm-libs-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/var/lib/rpm/__db.001 rpm-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/var/lib/rpm/__db.002 rpm-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/var/lib/rpm/__db.003 rpm-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801
:/lib64/libcap.so.2.22 libcap-2.22-1.fc15.x86_64 (Fedora Project) 1314049731
:/usr/share/locale/fr/LC_MESSAGES/rpm.mo rpm-4.9.1.1-1.fc15.x86_64 (Fedora Project) 1314049801

environ:
:G_DEBUG=resident-modules,gc-friendly
:HOSTNAME=deela.quest-ce.net
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SUDO_USER=ydroneaud
:G_SLICE=always-malloc,debug-blocks
:SUDO_UID=500
:USERNAME=ydroneaud
:PATH=/usr/lib64/ccache:/sbin:/bin:/usr/sbin:/usr/bin
:MAIL=/var/spool/mail/ydroneaud
:PWD=/home/ydroneaud
:LANG=fr_FR.UTF-8
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=1
:SUDO_COMMAND=/bin/bash
:HOME=/root
:LOGNAME=root
:CVS_RSH=ssh
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SUDO_GID=500
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-ydroneaud-hm7xeF/database
:COLORTERM=gnome-terminal
:_=/bin/rpm

maps:
:00400000-00403000 r-xp 00000000 fd:01 30923                              /bin/rpm
:00603000-00605000 rw-p 00003000 fd:01 30923                              /bin/rpm
:00a3f000-00bbd000 rw-p 00000000 00:00 0                                  [heap]
:3543a00000-3543a15000 r-xp 00000000 fd:01 7522                           /lib64/libgcc_s-4.6.1-20110824.so.1
:3543a15000-3543c14000 ---p 00015000 fd:01 7522                           /lib64/libgcc_s-4.6.1-20110824.so.1
:3543c14000-3543c15000 rw-p 00014000 fd:01 7522                           /lib64/libgcc_s-4.6.1-20110824.so.1
:3544a00000-3544a28000 r-xp 00000000 fd:01 21276                          /usr/lib64/librpmio.so.2.0.1
:3544a28000-3544c28000 ---p 00028000 fd:01 21276                          /usr/lib64/librpmio.so.2.0.1
:3544c28000-3544c2b000 rw-p 00028000 fd:01 21276                          /usr/lib64/librpmio.so.2.0.1
:3544c2b000-3544c2d000 rw-p 00000000 00:00 0 
:3544e00000-3544e5d000 r-xp 00000000 fd:01 21305                          /usr/lib64/librpm.so.2.0.1
:3544e5d000-354505c000 ---p 0005d000 fd:01 21305                          /usr/lib64/librpm.so.2.0.1
:354505c000-3545062000 rw-p 0005c000 fd:01 21305                          /usr/lib64/librpm.so.2.0.1
:3548200000-3548331000 r-xp 00000000 fd:01 19810                          /usr/lib64/libnss3.so
:3548331000-3548530000 ---p 00131000 fd:01 19810                          /usr/lib64/libnss3.so
:3548530000-3548537000 rw-p 00130000 fd:01 19810                          /usr/lib64/libnss3.so
:3548537000-3548538000 rw-p 00000000 00:00 0 
:3872c00000-3872c1f000 r-xp 00000000 fd:01 26510                          /lib64/ld-2.14.so
:3872e1e000-3872e1f000 r--p 0001e000 fd:01 26510                          /lib64/ld-2.14.so
:3872e1f000-3872e20000 rw-p 0001f000 fd:01 26510                          /lib64/ld-2.14.so
:3872e20000-3872e21000 rw-p 00000000 00:00 0 
:3873000000-387318f000 r-xp 00000000 fd:01 31613                          /lib64/libc-2.14.so
:387318f000-387338f000 ---p 0018f000 fd:01 31613                          /lib64/libc-2.14.so
:387338f000-3873393000 r--p 0018f000 fd:01 31613                          /lib64/libc-2.14.so
:3873393000-3873394000 rw-p 00193000 fd:01 31613                          /lib64/libc-2.14.so
:3873394000-387339a000 rw-p 00000000 00:00 0 
:3873400000-3873416000 r-xp 00000000 fd:01 31726                          /lib64/libpthread-2.14.so
:3873416000-3873615000 ---p 00016000 fd:01 31726                          /lib64/libpthread-2.14.so
:3873615000-3873616000 r--p 00015000 fd:01 31726                          /lib64/libpthread-2.14.so
:3873616000-3873617000 rw-p 00016000 fd:01 31726                          /lib64/libpthread-2.14.so
:3873617000-387361b000 rw-p 00000000 00:00 0 
:3873800000-3873883000 r-xp 00000000 fd:01 16938                          /lib64/libm-2.14.so
:3873883000-3873a82000 ---p 00083000 fd:01 16938                          /lib64/libm-2.14.so
:3873a82000-3873a83000 r--p 00082000 fd:01 16938                          /lib64/libm-2.14.so
:3873a83000-3873a84000 rw-p 00083000 fd:01 16938                          /lib64/libm-2.14.so
:3873c00000-3873c02000 r-xp 00000000 fd:01 31919                          /lib64/libdl-2.14.so
:3873c02000-3873e02000 ---p 00002000 fd:01 31919                          /lib64/libdl-2.14.so
:3873e02000-3873e03000 r--p 00002000 fd:01 31919                          /lib64/libdl-2.14.so
:3873e03000-3873e04000 rw-p 00003000 fd:01 31919                          /lib64/libdl-2.14.so
:3874000000-3874007000 r-xp 00000000 fd:01 31767                          /lib64/librt-2.14.so
:3874007000-3874206000 ---p 00007000 fd:01 31767                          /lib64/librt-2.14.so
:3874206000-3874207000 r--p 00006000 fd:01 31767                          /lib64/librt-2.14.so
:3874207000-3874208000 rw-p 00007000 fd:01 31767                          /lib64/librt-2.14.so
:3874800000-3874816000 r-xp 00000000 fd:01 82357                          /lib64/libz.so.1.2.5
:3874816000-3874a16000 ---p 00016000 fd:01 82357                          /lib64/libz.so.1.2.5
:3874a16000-3874a17000 rw-p 00016000 fd:01 82357                          /lib64/libz.so.1.2.5
:3874c00000-3874c1d000 r-xp 00000000 fd:01 80745                          /lib64/libselinux.so.1
:3874c1d000-3874e1c000 ---p 0001d000 fd:01 80745                          /lib64/libselinux.so.1
:3874e1c000-3874e1d000 r--p 0001c000 fd:01 80745                          /lib64/libselinux.so.1
:3874e1d000-3874e1e000 rw-p 0001d000 fd:01 80745                          /lib64/libselinux.so.1
:3874e1e000-3874e1f000 rw-p 00000000 00:00 0 
:3876000000-3876014000 r-xp 00000000 fd:01 30940                          /usr/lib64/libelf-0.152.so
:3876014000-3876213000 ---p 00014000 fd:01 30940                          /usr/lib64/libelf-0.152.so
:3876213000-3876214000 r--p 00013000 fd:01 30940                          /usr/lib64/libelf-0.152.so
:3876214000-3876215000 rw-p 00014000 fd:01 30940                          /usr/lib64/libelf-0.152.so
:3877800000-3877804000 r-xp 00000000 fd:01 79352                          /lib64/libcap.so.2.22
:3877804000-3877a03000 ---p 00004000 fd:01 79352                          /lib64/libcap.so.2.22
:3877a03000-3877a04000 rw-p 00003000 fd:01 79352                          /lib64/libcap.so.2.22
:387d400000-387d404000 r-xp 00000000 fd:01 85437                          /lib64/libattr.so.1.1.0
:387d404000-387d603000 ---p 00004000 fd:01 85437                          /lib64/libattr.so.1.1.0
:387d603000-387d604000 rw-p 00003000 fd:01 85437                          /lib64/libattr.so.1.1.0
:387d800000-387d85c000 r-xp 00000000 fd:01 31990                          /lib64/libfreebl3.so
:387d85c000-387da5b000 ---p 0005c000 fd:01 31990                          /lib64/libfreebl3.so
:387da5b000-387da5d000 rw-p 0005b000 fd:01 31990                          /lib64/libfreebl3.so
:387da5d000-387da61000 rw-p 00000000 00:00 0 
:387e400000-387e409000 r-xp 00000000 fd:01 7148                           /lib64/libpopt.so.0.0.0
:387e409000-387e608000 ---p 00009000 fd:01 7148                           /lib64/libpopt.so.0.0.0
:387e608000-387e609000 rw-p 00008000 fd:01 7148                           /lib64/libpopt.so.0.0.0
:3880400000-3880438000 r-xp 00000000 fd:01 85389                          /lib64/libnspr4.so
:3880438000-3880638000 ---p 00038000 fd:01 85389                          /lib64/libnspr4.so
:3880638000-388063a000 rw-p 00038000 fd:01 85389                          /lib64/libnspr4.so
:388063a000-388063d000 rw-p 00000000 00:00 0 
:3880800000-3880807000 r-xp 00000000 fd:01 85438                          /lib64/libacl.so.1.1.0
:3880807000-3880a07000 ---p 00007000 fd:01 85438                          /lib64/libacl.so.1.1.0
:3880a07000-3880a08000 rw-p 00007000 fd:01 85438                          /lib64/libacl.so.1.1.0
:3881000000-3881004000 r-xp 00000000 fd:01 85390                          /lib64/libplc4.so
:3881004000-3881203000 ---p 00004000 fd:01 85390                          /lib64/libplc4.so
:3881203000-3881204000 rw-p 00003000 fd:01 85390                          /lib64/libplc4.so
:3881400000-3881403000 r-xp 00000000 fd:01 85391                          /lib64/libplds4.so
:3881403000-3881602000 ---p 00003000 fd:01 85391                          /lib64/libplds4.so
:3881602000-3881603000 rw-p 00002000 fd:01 85391                          /lib64/libplds4.so
:3882c00000-3882c1a000 r-xp 00000000 fd:01 85392                          /usr/lib64/libnssutil3.so
:3882c1a000-3882e19000 ---p 0001a000 fd:01 85392                          /usr/lib64/libnssutil3.so
:3882e19000-3882e1e000 rw-p 00019000 fd:01 85392                          /usr/lib64/libnssutil3.so
:3882e1e000-3882e1f000 rw-p 00000000 00:00 0 
:3884400000-388440f000 r-xp 00000000 fd:01 85431                          /lib64/libbz2.so.1.0.6
:388440f000-388460e000 ---p 0000f000 fd:01 85431                          /lib64/libbz2.so.1.0.6
:388460e000-3884610000 rw-p 0000e000 fd:01 85431                          /lib64/libbz2.so.1.0.6
:3887000000-3887096000 r-xp 00000000 fd:01 7999                           /usr/lib64/libsqlite3.so.0.8.6
:3887096000-3887296000 ---p 00096000 fd:01 7999                           /usr/lib64/libsqlite3.so.0.8.6
:3887296000-388729a000 rw-p 00096000 fd:01 7999                           /usr/lib64/libsqlite3.so.0.8.6
:3888800000-3888821000 r-xp 00000000 fd:01 7639                           /usr/lib64/liblzma.so.5.0.3
:3888821000-3888a21000 ---p 00021000 fd:01 7639                           /usr/lib64/liblzma.so.5.0.3
:3888a21000-3888a22000 rw-p 00021000 fd:01 7639                           /usr/lib64/liblzma.so.5.0.3
:3889800000-3889976000 r-xp 00000000 fd:01 11914                          /lib64/libdb-4.8.so
:3889976000-3889b75000 ---p 00176000 fd:01 11914                          /lib64/libdb-4.8.so
:3889b75000-3889b7a000 rw-p 00175000 fd:01 11914                          /lib64/libdb-4.8.so
:388b800000-388b82b000 r-xp 00000000 fd:01 27530                          /usr/lib64/liblua-5.1.so
:388b82b000-388ba2a000 ---p 0002b000 fd:01 27530                          /usr/lib64/liblua-5.1.so
:388ba2a000-388ba2c000 rw-p 0002a000 fd:01 27530                          /usr/lib64/liblua-5.1.so
:7f23c1ac6000-7f23c1c3f000 rw-p 00000000 00:00 0 
:7f23c1c9c000-7f23c1c9d000 rw-p 00000000 00:00 0 
:7f23c1c9d000-7f23c1ca9000 r--p 00000000 fd:01 13098                      /usr/share/locale/fr/LC_MESSAGES/rpm.mo
:7f23c1ca9000-7f23c1d6d000 rw-s 00000000 fd:01 7466                       /var/lib/rpm/__db.004
:7f23c1d6d000-7f23c6d6f000 rw-s 00000000 fd:01 7410                       /var/lib/rpm/__db.003
:7f23c6d6f000-7f23c71cd000 rw-s 00000000 fd:01 7378                       /var/lib/rpm/__db.002
:7f23c71cd000-7f23c720a000 r-xp 00000000 fd:01 105649                     /usr/lib64/libsoftokn3.so
:7f23c720a000-7f23c740a000 ---p 0003d000 fd:01 105649                     /usr/lib64/libsoftokn3.so
:7f23c740a000-7f23c740c000 rw-p 0003d000 fd:01 105649                     /usr/lib64/libsoftokn3.so
:7f23c740c000-7f23c7418000 r-xp 00000000 fd:01 42720                      /lib64/libnss_files-2.14.so
:7f23c7418000-7f23c7617000 ---p 0000c000 fd:01 42720                      /lib64/libnss_files-2.14.so
:7f23c7617000-7f23c7618000 r--p 0000b000 fd:01 42720                      /lib64/libnss_files-2.14.so
:7f23c7618000-7f23c7619000 rw-p 0000c000 fd:01 42720                      /lib64/libnss_files-2.14.so
:7f23c7632000-7f23cda55000 r--p 00000000 fd:01 45239                      /usr/lib/locale/locale-archive
:7f23cda55000-7f23cda61000 rw-p 00000000 00:00 0 
:7f23cda6d000-7f23cda73000 rw-s 00000000 fd:01 7326                       /var/lib/rpm/__db.001
:7f23cda73000-7f23cda7a000 r--s 00000000 fd:01 8362                       /usr/lib64/gconv/gconv-modules.cache
:7f23cda7a000-7f23cda7b000 rw-p 00000000 00:00 0 
:7fff4a234000-7fff4a255000 rw-p 00000000 00:00 0                          [stack]
:7fff4a2f0000-7fff4a2f1000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Sep 14 22:27:07 deela kernel: [354658.112836] rpm[28335]: segfault at 7f27c1ac8fd0 ip 0000003544e2c9ef sp 00007fff4a2531d0 error 4 in librpm.so.2.0.1[3544e00000+5d000]
:Sep 14 22:27:07 deela abrt[28337]: saved core dump of pid 28335 (/bin/rpm) to /var/spool/abrt/ccpp-2011-09-14-22:27:07-28335.new/coredump (3829760 bytes)

Comment 1 Yann Droneaud 2011-09-14 21:01:29 UTC
Created attachment 523257 [details]
File: backtrace

Comment 2 Yann Droneaud 2011-09-14 21:48:33 UTC
Created attachment 523258 [details]
Valgrind output

Comment 3 Panu Matilainen 2011-09-15 05:55:39 UTC
First, take a backup of the rpmdb, something like:
# tar czf rpmdb.tar.gz /var/lib/rpm/[A-Z]*

Then do the "first-aid" rpmdb recovery step to clear any caches that might've gotten corrupt somehow:
# rm -f /var/lib/rpm/__db.*

Check if that helped. If not, you can further try:

# rpm --rebuilddb

If it still segfaults after that, please make the rpmdb backup from the first step available somewhere on the net (you can attach here if you dont have a http/ftp site at hand where you can drop it) for further analysis.

Comment 4 Yann Droneaud 2011-09-15 09:08:44 UTC
(In reply to comment #3)
> 
> Then do the "first-aid" rpmdb recovery step to clear any caches that might've
> gotten corrupt somehow:
> # rm -f /var/lib/rpm/__db.*
> 
> Check if that helped. 

After that, rpm does not segfault again.

Comment 5 Panu Matilainen 2011-10-11 11:40:20 UTC
BTW whatever corrupted the environment aside, that rpm is crashing here is of course a bug. The header "blob" headerVerify() is called with is *obviously* buggered here, with ranges completely out of bounds etc. There are at least 3-4 different places in rpm that perform validation on those, but for headers coming out of the rpmdb none of those is executed, so when the rpmdb is returning garbage the verification blows up because of the missing sanity checks on this particular path. Will fix that...

Comment 6 Yann Droneaud 2011-10-11 13:12:24 UTC
(In reply to comment #5)
> but for headers
> coming out of the rpmdb none of those is executed, so when the rpmdb is
> returning garbage the verification blows up because of the missing sanity
> checks on this particular path. 

That would definitely help users : having a clean error message with some tips
on how to resolve the error would be better than a segfault (that could lead to other corruption).

> Will fix that...

Good news. Did you need my copy of corrupted rpmdb ?

Comment 7 Haim 2012-01-05 08:38:24 UTC
(In reply to comment #3)
> First, take a backup of the rpmdb, something like:
> # tar czf rpmdb.tar.gz /var/lib/rpm/[A-Z]*
> 
> Then do the "first-aid" rpmdb recovery step to clear any caches that might've
> gotten corrupt somehow:
> # rm -f /var/lib/rpm/__db.*
> 
> Check if that helped. If not, you can further try:
> 
> # rpm --rebuilddb
> 
> If it still segfaults after that, please make the rpmdb backup from the first
> step available somewhere on the net (you can attach here if you dont have a
> http/ftp site at hand where you can drop it) for further analysis.

this solution didn't work for me, but running the following:

rm -rf /var/lib/rpm/*
rm -rf /var/lib/rpm-state/

running on Fedora 16.

Comment 8 Panu Matilainen 2012-01-05 08:55:10 UTC
(In reply to comment #7)
> this solution didn't work for me, but running the following:
> 
> rm -rf /var/lib/rpm/*

BAD idea, you just deleted the entire rpm database. I hope you have a backup available as otherwise recovering will be somewhere between hard and impossible.

Comment 9 Fedora End Of Life 2012-08-06 20:02:51 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Fedora End Of Life 2012-08-06 20:02:51 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.